﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class EntitiesETL : DbContext
    {
        public EntitiesETL()
            : base("name=EntitiesETL")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public DbSet<etl_log> etl_log { get; set; }
        public DbSet<etl_mountain> etl_mountain { get; set; }
        public DbSet<etl_mountaingroup> etl_mountaingroup { get; set; }
        public DbSet<etl_mountainrange> etl_mountainrange { get; set; }
        public DbSet<etl_route_scuolaguidodellatorre_ghiaccio> etl_route_scuolaguidodellatorre_ghiaccio { get; set; }
        public DbSet<etl_route_temp> etl_route_temp { get; set; }
        public DbSet<v_mountain4dbpedia> v_mountain4dbpedia { get; set; }
        public DbSet<etl_route_vienormali> etl_route_vienormali { get; set; }
        public DbSet<v_route_url> v_route_url { get; set; }
        public DbSet<etl_route_image> etl_route_image { get; set; }
    }
}
